<script>
    import { Modal, Heading } from "flowbite-svelte";

    import {
        notification_modal_visible,
        notification_modal_content,
    } from "./svelte_stores/notification_modal.js";

    $: content = $notification_modal_content
        // Format the text - look for the all-caps notification type (ALERT/WARNING/etc) and create a title,
        // also look for labels (max 20 chars) ending with colons (label: value)
        .replace(
            /ALERT.*|WARNING.*|WATCH.*|SUMMARY.*/,
            (alert_title) =>
                `<h2 class="text-xl font-semibold text-black dark:text-white">${alert_title}</h2>`,
        )
        .replaceAll(/^.{1,20}:/gm, (label) => `<b>${label}</b>`)
        .replaceAll("\n", "");
</script>

<Modal bind:open={$notification_modal_visible} size="md" autoclose outsideclose>
    <svelte:fragment slot="header">
        <h2 class="text-2xl font-semibold text-black dark:text-white">
            Notification details
        </h2>
    </svelte:fragment>
    {@html content}
</Modal>
